PIRL.Database

## Class SQL.Caret_Listener

- java.lang.Object
- - PIRL.Database.SQL.Caret_Listener

All Implemented Interfaces:
  EventListener, CaretListener

Enclosing class:
  SQL

    protected class SQL.Caret_Listener
    extends Object
    implements CaretListener

### Constructor Summary

Constructors
`protected` `SQL.Caret_Listener()`

### Method Summary

Methods
`void` `caretUpdate(CaretEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SQL.Caret_Listener

    protected SQL.Caret_Listener()

### Method Detail

#### caretUpdate

    public void caretUpdate(CaretEvent event)

Specified by:
  `caretUpdate` in interface `CaretListener`